csRedBlackTreeMap< K, T, Allocator, Ordering >::Iterator Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
csRedBlackTreeMap< K, T, Allocator, Ordering >::Iterator Class Reference

Iterator for map. More...

`#include <csutil/redblacktree.h>`

List of all members.

## Public Member Functions
bool | HasNext () const
| Returns a boolean indicating whether or not the map has more elements.
T & | Next (K &key)
| Get the next element's value.
T & | PeekNext (K &key)
| Get the next element's value without advancing the iterator.
T & | PeekNext ()
| Get the next element's value without advancing the iterator.
## Friends
class | csRedBlackTreeMap

## Detailed Description

### template<typename K, typename T, typename Allocator = csFixedSizeAllocator< sizeof(CS::Container::RedBlackTreeNode< csRedBlackTreePayload<K, T> >)>, template< typename K1, typename K2 > class Ordering = CS::Container::RedBlackTreeOrderingTotal>
class csRedBlackTreeMap< K, T, Allocator, Ordering >::Iterator

Iterator for map.

Definition at line 1277 of file redblacktree.h.

## Member Function Documentation

template<typename K, typename T, typename Allocator = csFixedSizeAllocator< sizeof(CS::Container::RedBlackTreeNode< csRedBlackTreePayload<K, T> >)>, template< typename K1, typename K2 > class Ordering = CS::Container::RedBlackTreeOrderingTotal>

bool csRedBlackTreeMap< K, T, Allocator, Ordering >::Iterator::HasNext | ( |  | ) | const`[inline]`

Returns a boolean indicating whether or not the map has more elements.

Definition at line 1281 of file redblacktree.h.

template<typename K, typename T, typename Allocator = csFixedSizeAllocator< sizeof(CS::Container::RedBlackTreeNode< csRedBlackTreePayload<K, T> >)>, template< typename K1, typename K2 > class Ordering = CS::Container::RedBlackTreeOrderingTotal>

T& csRedBlackTreeMap< K, T, Allocator, Ordering >::Iterator::Next | ( | K & | key | ) | `[inline]`

Get the next element's value.

Definition at line 1302 of file redblacktree.h.

template<typename K, typename T, typename Allocator = csFixedSizeAllocator< sizeof(CS::Container::RedBlackTreeNode< csRedBlackTreePayload<K, T> >)>, template< typename K1, typename K2 > class Ordering = CS::Container::RedBlackTreeOrderingTotal>

T& csRedBlackTreeMap< K, T, Allocator, Ordering >::Iterator::PeekNext | ( | K & | key | ) | `[inline]`

Get the next element's value without advancing the iterator.

Definition at line 1287 of file redblacktree.h.

template<typename K, typename T, typename Allocator = csFixedSizeAllocator< sizeof(CS::Container::RedBlackTreeNode< csRedBlackTreePayload<K, T> >)>, template< typename K1, typename K2 > class Ordering = CS::Container::RedBlackTreeOrderingTotal>

T& csRedBlackTreeMap< K, T, Allocator, Ordering >::Iterator::PeekNext | ( |  | ) | `[inline]`

Get the next element's value without advancing the iterator.

Definition at line 1295 of file redblacktree.h.

The documentation for this class was generated from the following file:

- csutil/redblacktree.h